Package be.vlaanderen.mercurius.wzcmh.common.v3

# Class DocumentType

java.lang.Object
be.vlaanderen.mercurius.wzcmh.common.v3.DocumentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class DocumentType extends Object implements Serializable
Document

Java class for DocumentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DocumentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DocumentDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="DocumentCategory" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentCategoryType"/>
             <element name="DocumentExtension" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="DocumentFilename" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Document" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getDocument()`
  Base64 Encoded document.
  `DocumentCategoryType`
  `getDocumentCategory()`
  Type document
  `Instant`
  `getDocumentDate()`
  Datum van het document
  `String`
  `getDocumentExtension()`
  Extensie van het document.
  `String`
  `getDocumentFilename()`
  Bestandsnaam document
  `void`
  `setDocument(byte[] value)`
  Sets the value of the document property.
  `void`
  `setDocumentCategory(DocumentCategoryType value)`
  Sets the value of the documentCategory property.
  `void`
  `setDocumentDate(Instant value)`
  Sets the value of the documentDate property.
  `void`
  `setDocumentExtension(String value)`
  Sets the value of the documentExtension property.
  `void`
  `setDocumentFilename(String value)`
  Sets the value of the documentFilename property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentType

    public DocumentType()

- ## Method Details

  - ### getDocumentDate

    public Instant getDocumentDate()
    Datum van het document
    Returns:
      possible object is `String`

  - ### setDocumentDate

    public void setDocumentDate(Instant value)
    Sets the value of the documentDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDocumentDate()`

  - ### getDocumentCategory

    public DocumentCategoryType getDocumentCategory()
    Type document
    Returns:
      possible object is `DocumentCategoryType`

  - ### setDocumentCategory

    public void setDocumentCategory(DocumentCategoryType value)
    Sets the value of the documentCategory property.
    Parameters:
      `value` - allowed object is `DocumentCategoryType`
    See Also:
      - `getDocumentCategory()`

  - ### getDocumentExtension

    public String getDocumentExtension()
    Extensie van het document. Afbeeldingen en documenten worden aanvaard
    Returns:
      possible object is `String`

  - ### setDocumentExtension

    public void setDocumentExtension(String value)
    Sets the value of the documentExtension property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDocumentExtension()`

  - ### getDocumentFilename

    public String getDocumentFilename()
    Bestandsnaam document
    Returns:
      possible object is `String`

  - ### setDocumentFilename

    public void setDocumentFilename(String value)
    Sets the value of the documentFilename property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDocumentFilename()`

  - ### getDocument

    public byte[] getDocument()
    Base64 Encoded document.
    Returns:
      possible object is byte[]

  - ### setDocument

    public void setDocument(byte[] value)
    Sets the value of the document property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getDocument()`